build-image:
  image:
    name: gcr.io/kaniko-project/executor:debug
    entrypoint: [""]
  script:
    - /kaniko/executor
      --context="${CI_PROJECT_DIR}"
      --dockerfile="${CI_PROJECT_DIR}/Dockerfile"
      --destination="${CI_REGISTRY}/${CI_PROJECT_PATH}:${DOCKER_IMAGE_TAG}"

build-tag:
  extends: build-image
  variables:
    DOCKER_IMAGE_TAG: ${CI_COMMIT_TAG}
  only:
    - tags
